
Redmine - Defect #12213

SVN integration Error with redmine

2012-10-25 15:57 - zam kp

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.3.1

Description

Hi Team

I was not able to integrate the  redmine project with svn. Please help me

Here is the my  log:

ActiveRecord::StatementInvalid (Mysql::Error: Duplicate entry '87-4068' for key 'changesets_repos_rev': INSERT INTO `changesets`

(`comments`, `commit_date`, `revision`, `committed_on`, `user_id`, `committer`, `scmid`, `repository_id`) VALUES):

app/models/repository/subversion.rb:67:in `fetch_changesets'

app/models/repository/subversion.rb:66:in `fetch_changesets'

app/models/repository/subversion.rb:65:in `reverse_each'

app/models/repository/subversion.rb:65:in `fetch_changesets'

app/controllers/repositories_controller.rb:92:in `show'

passenger (3.0.11) lib/phusion_passenger/rack/request_handler.rb:96:in `process_request'

passenger (3.0.11) lib/phusion_passenger/abstract_request_handler.rb:513:in `accept_and_process_next_request'

passenger (3.0.11) lib/phusion_passenger/abstract_request_handler.rb:274:in `main_loop'

passenger (3.0.11) lib/phusion_passenger/classic_rails/application_spawner.rb:321:in `start_request_handler'

passenger (3.0.11) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `send'

passenger (3.0.11) lib/phusion_passenger/classic_rails/application_spawner.rb:275:in `handle_spawn_application'

passenger (3.0.11) lib/phusion_passenger/utils.rb:479:in `safe_fork'

passenger (3.0.11) lib/phusion_passenger/classic_rails/application_spawner.rb:270:in `handle_spawn_application'

passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:357:in `__send__'

passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:180:in `start'

passenger (3.0.11) lib/phusion_passenger/classic_rails/application_spawner.rb:149:in `start'

passenger (3.0.11) lib/phusion_passenger/spawn_manager.rb:219:in `spawn_rails_application'

passenger (3.0.11) lib/phusion_passenger/abstract_server_collection.rb:132:in `lookup_or_add'

passenger (3.0.11) lib/phusion_passenger/spawn_manager.rb:214:in `spawn_rails_application'

passenger (3.0.11) lib/phusion_passenger/abstract_server_collection.rb:82:in `synchronize'

passenger (3.0.11) lib/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

passenger (3.0.11) lib/phusion_passenger/spawn_manager.rb:213:in `spawn_rails_application'

passenger (3.0.11) lib/phusion_passenger/spawn_manager.rb:132:in `spawn_application'

passenger (3.0.11) lib/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'

passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:357:in `__send__'

passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

passenger (3.0.11) lib/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

passenger (3.0.11) helper-scripts/passenger-spawn-server:99

Rendering /opt/redmine/home/redmine/redmine/public/500.html (500 Internal Server Error)

History

#1 - 2012-10-25 16:10 - Toshi MARUYAMA

- Category set to SCM

#2 - 2012-10-27 11:01 - zam kp

- Status changed from New to Resolved

- % Done changed from 0 to 100
#3 - 2012-10-27 16:01 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution set to Invalid
